<template>
	<section>
		<div>
			<form>
				<label for="component-select">Select Component:</label>
				<select
					id="component-select"
					v-model="selectedComponent">
					<option value="role">Role</option>
					<option value="progress">Progress</option>
					<option value="experience">Experience</option>
					<option value="setOfExperience">Set of Experience</option>
				</select>
			</form>
		</div>
	</section>
	<div>
		<AdminRoleComponent v-if="selectedComponent == 'role'" />
		<AdminProgressComponent v-if="selectedComponent == 'progress'" />
		<AdminExperience v-if="selectedComponent == 'experience'" />
		<AdminSetOfExperience v-if="selectedComponent == 'setOfExperience'" />
	</div>
</template>

<script lang="ts">
	import { defineComponent } from "vue"
	import AdminRoleComponent from "@/components/AdminRoleComponent.vue"

	import AdminExperience from "@/components/AdminExperience.vue"
	import AdminSetOfExperience from "@/components/AdminSetOfExperience.vue"

	import AdminProgressComponent from "@/components/AdminProgressComponent.vue"

	export default defineComponent({
		name: "AdminView",
		components: {
			AdminRoleComponent,
			AdminExperience,
			AdminSetOfExperience,
			AdminProgressComponent,
		},
		data() {
			return {
				selectedComponent: null,
			}
		},
	})
</script>

<style scoped></style>
